#!/bin/bash

aecArgs="$*"
# If no "aecArgs" are passed on to this shell script, use this "aec_args" as default:
[ -z "$aecArgs" ] && aecArgs="analog_gain_control=0 digital_gain_control=1"
newEchoCancelSource="echoCancelSource"

# Re-Activate module-echo-cancel submodule
echo Re-Activate \"module-echo-cancel\" with \"aec_args=$aecArgs\"
pactl unload-module module-echo-cancel 2>/dev/null
if pactl load-module module-echo-cancel use_master_format=1 aec_method=webrtc aec_args=\"$aecArgs\" source_name=$newEchoCancelSource; then
	# Try to set a new echo default source, if module-echo-cancel has loaded successfully.
	pacmd set-default-source $newEchoCancelSource
fi
